.. _usage:

-----
Usage
-----

.. _clib:

WRTD Library
============

WRTD Timestamps
---------------
.. doxygenstruct:: wrtd_tstamp
                   :members:

WRTD Error Codes
----------------
.. doxygenenum:: wrtd_status


.. _api_attr_list:

List of Attributes
------------------
.. doxygenenum:: wrtd_attr

.. doxygendefine:: WRTD_GLOBAL_REP_CAP_ID

WRTD API
--------

Initialisation
++++++++++++++

.. doxygenfunction:: wrtd_init
.. doxygenfunction:: wrtd_close
.. doxygenfunction:: wrtd_reset

.. _api_attr:

Attribute Handling API
++++++++++++++++++++++

.. doxygenfunction:: wrtd_set_attr_bool
.. doxygenfunction:: wrtd_get_attr_bool
.. doxygenfunction:: wrtd_set_attr_int32
.. doxygenfunction:: wrtd_get_attr_int32
.. doxygenfunction:: wrtd_set_attr_string
.. doxygenfunction:: wrtd_get_attr_string
.. doxygenfunction:: wrtd_set_attr_tstamp
.. doxygenfunction:: wrtd_get_attr_tstamp

Error Handling
++++++++++++++

.. doxygenfunction:: wrtd_get_error
.. doxygenfunction:: wrtd_error_message

Event Log
+++++++++

.. doxygendefine:: WRTD_LOG_ENTRY_SIZE

.. doxygenfunction:: wrtd_clear_event_log_entries
.. doxygenfunction:: wrtd_get_next_event_log_entry

.. _api_alarm:

Alarms API
++++++++++

.. doxygenfunction:: wrtd_add_alarm
.. doxygenfunction:: wrtd_disable_all_alarms
.. doxygenfunction:: wrtd_remove_alarm
.. doxygenfunction:: wrtd_remove_all_alarms
.. doxygenfunction:: wrtd_get_alarm_name

.. _api_rule:

Rules API
+++++++++

.. doxygenfunction:: wrtd_add_rule
.. doxygenfunction:: wrtd_disable_all_rules
.. doxygenfunction:: wrtd_remove_rule
.. doxygenfunction:: wrtd_remove_all_rules
.. doxygenfunction:: wrtd_get_rule_name
.. doxygenfunction:: wrtd_reset_rule_stats

.. _pywrap:

Python Library
--------------

.. _tools:

Tools
-----

